Bug 736692 - Incorrect dependency
Summary: Incorrect dependency
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-sphinx10
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:36 UTC by Sol Jerome
Modified: 2012-02-05 05:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-05 05:09:59 UTC


Attachments (Terms of Use)
Patch to change python-jinja2 dependency to python-jinja (639 bytes, patch)
2011-09-08 12:36 UTC, Sol Jerome
no flags Details | Diff

Description Sol Jerome 2011-09-08 12:36:00 UTC
Created attachment 522107 [details]
Patch to change python-jinja2 dependency to python-jinja

Description of problem:

The spec file for python-sphinx10 lists python-jinja2 as a dependency, but there is no python-jinja2 package preventing python-sphinx10 from installing.

Version-Release number of selected component (if applicable):

python-sphinx10-1.0.4-4

How reproducible:

always

Steps to Reproduce:

yum install python-sphinx10
  
Actual results:

Error: Package: python-sphinx10-1.0.4-4.el6.noarch (epel)
           Requires: python-jinja2

Expected results:

python-sphinx10 should install without issue.

Additional info:

See attached patch

Comment 1 Michel Alexandre Salim 2011-09-10 21:38:45 UTC
Sol,

Could you confirm which repositories you have enabled? I just tried on the EPEL5 and EPEL6 test machines and python-jinja2 is available there (as it's a build dependency as well as a runtime one, there is no way python-sphinx10 could have been built if jinja2 is not there in the first place).

Please let me know so we can track this down.


Note You need to log in before you can comment on or make changes to this bug.